package cn.com.countrygarden.bi.main.service.ck;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.ck.CkPublicBenefitsZationVo;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.ck.CkPublicBenefitsZation;

import java.text.ParseException;
import java.util.List;

/**
 * <p>
 *   公共收益初始化数据表业务处理接口
 * </p>
 *
 * @author 吕伟峰
 * @date 2021-05-07
 * @version V1.0
 */
public interface CkPublicBenefitsZationService  {


    Result one(CkPublicBenefitsZation ckPublicBenefits, AccessToken accessToken);

    Result addOrEdit(CkPublicBenefitsZation ckPublicBenefits, AccessToken accessToken) throws ParseException;

    Result oneZationAd(CkPublicBenefitsZation ckPublicBenefits, AccessToken accessToken);

    Result oneExhibition(CkPublicBenefitsZation ckPublicBenefits, AccessToken accessToken);

    Result queryPageList(CkPublicBenefitsZation ckPublicBenefitsZation, int size, int page, AccessToken accessToken);

    Result editZation(CkPublicBenefitsZation ckPublicBenefitsZation, AccessToken accessToken) throws ParseException;

    Result addZation(CkPublicBenefitsZation ckPublicBenefitsZation, AccessToken accessToken) throws ParseException;

    List<CkPublicBenefitsZationVo> listExport(CkPublicBenefitsZation ckPublicBenefits, AccessToken accessToken);

    Result listChcki(CkPublicBenefitsZation ckPublicBenefitsZation, AccessToken accessToken);
}
